<?xml version='1.0' encoding='windows-1252' ?>
<!DOCTYPE ViewLink SYSTEM "jbo_03_01.dtd">

<ViewLink
   Name="ServiceHistoriesForServiceRequest"
   EntityAssociation="oracle.srdemo.model.entities.associations.ServiceHistoriesForServiceRequest" >
   <Data>
      <Property Name ="ID" Value ="3fd19548-010a-1000-8089-8d9088295bcf::::ViewLink" />
      <Property Name ="IS_ABSTRACT" Value ="FALSE" />
      <Property Name ="IS_LEAF" Value ="FALSE" />
      <Property Name ="IS_ROOT" Value ="FALSE" />
   </Data>
   <DesignTime>
      <Attr Name="_isCodegen" Value="true" />
      <Attr Name="_version" Value="10.1.3.36.73" />
   </DesignTime>
   <ViewLinkDefEnd
      Name="ServiceRequests1"
      Cardinality="1"
      Owner="oracle.srdemo.model.queries.ServiceRequests"
      Source="true" >
      <Data>
         <Property Name ="ENTITY_ACCESSOR" Value ="TRUE" />
         <Property Name ="ID" Value ="3fd19548-010a-1000-808a-8d9088295bcf::::ViewLinkEnd" />
         <Property Name ="SCOPE" Value ="INSTANCE" />
         <Property Name ="SEQUENCE" Value ="0" />
         <Property Name ="VISIBILITY" Value ="PROTECTED" />
      </Data>
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.queries.ServiceRequests.SvrId" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_finderName" Value="ServiceRequests1" />
         <Attr Name="_minCardinality" Value="1" />
         <Attr Name="_isUpdateable" Value="true" />
      </DesignTime>
   </ViewLinkDefEnd>
   <ViewLinkDefEnd
      Name="ServiceHistoriesForRequest"
      Cardinality="-1"
      Owner="oracle.srdemo.model.queries.ServiceHistories" >
      <Data>
         <Property Name ="ENTITY_ACCESSOR" Value ="TRUE" />
         <Property Name ="ID" Value ="3fd19548-010a-1000-808d-8d9088295bcf::::ViewLinkEnd" />
         <Property Name ="SCOPE" Value ="INSTANCE" />
         <Property Name ="SEQUENCE" Value ="10" />
         <Property Name ="VISIBILITY" Value ="PROTECTED" />
      </Data>
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.queries.ServiceHistories.SvrId" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_finderName" Value="ServiceHistoriesForRequest" />
         <Attr Name="_accessor" Value="true" />
         <Attr Name="_isUpdateable" Value="true" />
      </DesignTime>
   </ViewLinkDefEnd>
</ViewLink>
